# Enum Class HtsContentType

java.lang.Object
java.lang.Enum<HtsContentType>
htsjdk.beta.plugin.HtsContentType

All Implemented Interfaces:
  `Serializable, Comparable<HtsContentType>, Constable`

public enum HtsContentType extends Enum<HtsContentType>
The plugin framework defines a set of supported content types, each of which represents a type of HTS data such as "aligned reads". Each content type has an associated set of interfaces that are used with that type (for example, codecs with content type `ALIGNED_READS` expose a set interfaces for reading and writing aligned reads data). The content types and the packages containing the common interfaces that are defined for each type are:

- For `HAPLOID_REFERENCE` codecs, see the `htsjdk.beta.plugin.hapref` package
- For `ALIGNED_READS` codecs, see the `htsjdk.beta.plugin.reads` package
- For `VARIANT_CONTEXTS` codecs, see the `htsjdk.beta.plugin.variants` package
- For `FEATURES` codecs, see the `htsjdk.beta.plugin.features` package

There can be many codecs for a given content type, each representing a different version of an underlying format (i.e, `ReadsFormats.SAM`, `ReadsFormats.BAM` or `ReadsFormats.CRAM` for `ALIGNED_READS`) and or access mechanism or protocol (for example, `ReadsFormats.HTSGET_BAM`).

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALIGNED_READS`
Aligned reads content type (see `ReadsFormats` for related formats)
`FEATURES`
Features content type (see `htsjdk.beta.plugin.features` for related formats)
`HAPLOID_REFERENCE`
Haploid reference content type (see `HaploidReferenceFormats` for related formats)
`VARIANT_CONTEXTS`
Haploid reference content type (see `VariantsFormats` for related formats)

## Method Summary

Modifier and Type
Method
Description
`static HtsContentType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static HtsContentType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### HAPLOID_REFERENCE

public static final HtsContentType HAPLOID_REFERENCE
Haploid reference content type (see `HaploidReferenceFormats` for related formats)

### ALIGNED_READS

public static final HtsContentType ALIGNED_READS
Aligned reads content type (see `ReadsFormats` for related formats)

### VARIANT_CONTEXTS

public static final HtsContentType VARIANT_CONTEXTS
Haploid reference content type (see `VariantsFormats` for related formats)

### FEATURES

public static final HtsContentType FEATURES
Features content type (see `htsjdk.beta.plugin.features` for related formats)

## Method Details

### values

public static HtsContentType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static HtsContentType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null